Removes a user
curl --request DELETE \
--url https://api.hubapi.com/settings/users/2026-09-beta/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/settings/users/2026-09-beta/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/settings/users/2026-09-beta/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Users
Removes a user
Removes a user identified by userId. userId refers to the user’s ID by default, or optionally email as specified by the IdProperty query param.
DELETE
/
settings
/
users
/
2026-09-beta
/
{userId}
Removes a user
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the user to delete.
Query Parameters
Specifies the property to identify the user. Valid values are 'USER_ID' or 'EMAIL'.
Available options:
EMAIL, USER_ID Response
Last modified on August 3, 2026
Was this page helpful?
⌘I